mb_strripos
mb_strstr
Multibyte String Functions
PHP Manual

# mb_strrpos

Find position of last occurrence of a string in a string

### Description

int mb_strrpos ( string `$haystack` , string `$needle` [, int `$offset` = 0 [, string `$encoding` = mb_internal_encoding() ]] )

Performs a multibyte safe strrpos operation based on the number of characters. `needle` position is counted from the beginning of `haystack`. First character's position is 0. Second character position is 1.

### Parameters

`haystack`

  The string being checked, for the last occurrence of `needle`

`needle`

  The string to find in `haystack`.

`offset`
  May be specified to begin searching an arbitrary number of characters into the string. Negative values will stop searching at an arbitrary point prior to the end of the string.
`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

Returns the numeric position of the last occurrence of `needle` in the `haystack` string. If `needle` is not found, it returns `FALSE`.

### Changelog

Version | Description
--- | ---
5.2.0 | Added the optional parameter `offset`.

### Notes

> Note: The `encoding` parameter was moved from the third position to the fourth in PHP 5.2.0. For backward compatibility, `encoding` can be specified as the third parameter, but doing so is deprecated and will be removed in the future.

### See Also

- mb_strpos
- mb_internal_encoding
- strrpos